apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ template "storm.supervisor.fullname" . }}
  labels:
    app: {{ template "storm.supervisor.name" . }}
    chart: {{ template "storm.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  replicas: {{ .Values.supervisor.replicaCount }}
  selector:
    matchLabels:
      app: {{ template "storm.supervisor.name" . }}
      release: {{ .Release.Name }}
  template:
    metadata:
      labels:
        app: {{ template "storm.supervisor.name" . }}
        release: {{ .Release.Name }}
    spec:
      initContainers:
      - name: init-{{ template "storm.nimbus.fullname" . }}
        image: busybox
        command: ["sh", "-c", "until nc -w10 {{ template "storm.nimbus.fullname" . }} 6627 </dev/null; do echo waiting for {{ template "storm.nimbus.fullname" . }}; sleep 10; done"]
      containers:
      - name: {{ .Values.supervisor.service.name }}
        image: "{{ .Values.supervisor.image.repository }}:{{ .Values.supervisor.image.tag }}"
        imagePullPolicy: {{ .Values.supervisor.image.pullPolicy }}
        command: ["storm", "supervisor"]
        ports:
        - containerPort: {{ .Values.supervisor.service.port }}
        resources:
{{ toYaml .Values.supervisor.resources | indent 10 }}
        volumeMounts:
          - mountPath: "/conf"
            name: storm-configmap
          - mountPath: "/log4j2"
            name: storm-logging-config
      volumes:
        - name: storm-configmap
          configMap:
            name: {{ template "storm.supervisor.fullname" . }}
        - name: storm-logging-config
          configMap:
            name: {{ template "storm.logging.name" . }}
